package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 随访总结表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_summary")
public class FollowUpSummary extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7782474429888928914L;
	
	// 计划标识（计划总结）
	private String plan;
	// 阶段标识（阶段总结）
	private String stage;
	// 随访项标识（随访项小结）
	private String item;
	// 随访纪录
	private String record;
	// 小结类别(1、计划  2、阶段 3、随访项 4、随访纪录)
	private Integer type;
	// 控制结果
	private String result;
	// 总结内容
	private String summary;
	// 总结医生标识
	private String doctor;
	// 总结医生姓名
	private String doctorName;
	// 总结时间
	private Date czrq;

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getStage() {
		return stage;
	}

	public void setStage(String stage) {
		this.stage = stage;
	}

	public String getItem() {
		return item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public String getResult() {
		return result;
	}

	public void setResult(String result) {
		this.result = result;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	@Column(name = "doctor_name")
	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
	
	public String getRecord() {
		return record;
	}
	
	public void setRecord(String record) {
		this.record = record;
	}
	

	@Column(name = "type",nullable=true)
	public Integer getType() {
		return type;
	}
	

	public void setType(Integer type) {
		this.type = type;
	}

}
